# Web Cloud › Internet › Access › Modem › Services API

> Part of the OVHcloud developer hub. Index of every page and section: https://developers.eu.ovhcloud.com/llms.txt
> The Web Cloud product's sections: https://developers.eu.ovhcloud.com/reference/web-cloud/llms.txt
> Everything in one file: https://developers.eu.ovhcloud.com/llms-full.txt

> 8 operations of the OVHcloud API. Calls carry `authorization: Bearer $OVH_TOKEN`; the EU host is shown, Canada and the United States answer on api.ca.ovhcloud.com and api.us.ovhcloud.com.

Page: https://developers.eu.ovhcloud.com/reference/web-cloud/internet/access/modem/services/

OpenAPI v1: https://api.eu.ovhcloud.com/1.0/__schemas/developer-hub-navigation/web-cloud/internet/access/modem/services.json?format=openapi3
OpenAPI v2: https://api.eu.ovhcloud.com/v2/__schemas/developer-hub-navigation/web-cloud/internet/access/modem/services.json?format=openapi3

## Operations

- `GET /xdsl/{serviceName}/modem/blocIp` — Get the Bloc IP status of the modem
- `POST /xdsl/{serviceName}/modem/blocIp` — Enable or disable Bloc IP on the modem
- `GET /xdsl/{serviceName}/modem/callWaiting` — Get the call waiting status of the modem
- `POST /xdsl/{serviceName}/modem/callWaiting` — Enable or disable call waiting on the modem
- `GET /xdsl/{serviceName}/modem/contentSharing` — Get the content sharing status of the modem
- `POST /xdsl/{serviceName}/modem/contentSharing` — Enable or disable content sharing on the modem
- `GET /xdsl/{serviceName}/modem/ftp` — Get the FTP status of the modem
- `POST /xdsl/{serviceName}/modem/ftp` — Enable or disable FTP on the modem

## Get the Bloc IP status of the modem

`GET /1.0/xdsl/{serviceName}/modem/blocIp`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/internet/access/modem/services/#getBlocIPStatus

**Status:** Stable production version  
**IAM actions:** `xdsl:apiovh:modem/blocIp/get`

Returns whether the Bloc IP service is enabled or disabled on the modem of the access.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | xdsl.ServiceStatusEnum | successful operation |

```json
"disabled"
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/blocIp" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/xdsl/{serviceName}/modem/blocIp")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/xdsl/{serviceName}/modem/blocIp");

print_r($result);
?>
```

## Enable or disable Bloc IP on the modem

`POST /1.0/xdsl/{serviceName}/modem/blocIp`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/internet/access/modem/services/#updateBlocIPStatus

**Status:** Stable production version  
**IAM actions:** `xdsl:apiovh:modem/blocIp/create`

Changes the status of the Bloc IP service on the modem of the access. Returns the task that performs the change.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Request body (required)

Type: `xdsl.modem.blocIp.post`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `status` | xdsl.ServiceStatusEnum | yes | Status of the service — one of `disabled`, `enabled` |

```json
{
  "status": "disabled"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | xdsl.Task | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `doneDate` | string (date-time) | read-only | Date when the action was completed |
| `function` | string | read-only |  |
| `id` | integer | read-only |  |
| `isArchived` | boolean | read-only |  |
| `status` | xdsl.TaskStatusEnum | read-only | Status of a task. — one of `cancelled`, `doing`, `done`, `error`, `problem`, `todo` |
| `todoDate` | string (date-time) | read-only | Date when the action will start |
| `updateDate` | string (date-time) | read-only |  |

```json
{
  "doneDate": "2024-01-01T12:00:00Z",
  "function": "string",
  "id": 0,
  "isArchived": true,
  "status": "cancelled",
  "todoDate": "2024-01-01T12:00:00Z",
  "updateDate": "2024-01-01T12:00:00Z"
}
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/blocIp" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: xdsl.modem.blocIp.post
result = client.post("/xdsl/{serviceName}/modem/blocIp",
	status = None, # Status of the service (type: xdsl.ServiceStatusEnum)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: xdsl.modem.blocIp.post
$result = $ovh->post("/xdsl/{serviceName}/modem/blocIp", array(
	status => null, // Status of the service (type: xdsl.ServiceStatusEnum)
));

print_r($result);
?>
```

## Get the call waiting status of the modem

`GET /1.0/xdsl/{serviceName}/modem/callWaiting`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/internet/access/modem/services/#getModemCallWaitingStatus

**Status:** Stable production version  
**IAM actions:** `xdsl:apiovh:modem/callWaiting/get`

Returns whether call waiting is enabled or disabled on the modem of the access.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | xdsl.ServiceStatusEnum | successful operation |

```json
"disabled"
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/callWaiting" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/xdsl/{serviceName}/modem/callWaiting")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/xdsl/{serviceName}/modem/callWaiting");

print_r($result);
?>
```

## Enable or disable call waiting on the modem

`POST /1.0/xdsl/{serviceName}/modem/callWaiting`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/internet/access/modem/services/#updateModemCallWaiting

**Status:** Stable production version  
**IAM actions:** `xdsl:apiovh:modem/callWaiting/create`

Changes the status of call waiting on the modem of the access. Returns the task that performs the change.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Request body (required)

Type: `xdsl.modem.callWaiting.post`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `callWaiting` | xdsl.ServiceStatusEnum | yes | Status of the service — one of `disabled`, `enabled` |

```json
{
  "callWaiting": "disabled"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | xdsl.Task | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `doneDate` | string (date-time) | read-only | Date when the action was completed |
| `function` | string | read-only |  |
| `id` | integer | read-only |  |
| `isArchived` | boolean | read-only |  |
| `status` | xdsl.TaskStatusEnum | read-only | Status of a task. — one of `cancelled`, `doing`, `done`, `error`, `problem`, `todo` |
| `todoDate` | string (date-time) | read-only | Date when the action will start |
| `updateDate` | string (date-time) | read-only |  |

```json
{
  "doneDate": "2024-01-01T12:00:00Z",
  "function": "string",
  "id": 0,
  "isArchived": true,
  "status": "cancelled",
  "todoDate": "2024-01-01T12:00:00Z",
  "updateDate": "2024-01-01T12:00:00Z"
}
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/callWaiting" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: xdsl.modem.callWaiting.post
result = client.post("/xdsl/{serviceName}/modem/callWaiting",
	callWaiting = None, # Status of the service (type: xdsl.ServiceStatusEnum)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: xdsl.modem.callWaiting.post
$result = $ovh->post("/xdsl/{serviceName}/modem/callWaiting", array(
	callWaiting => null, // Status of the service (type: xdsl.ServiceStatusEnum)
));

print_r($result);
?>
```

## Get the content sharing status of the modem

`GET /1.0/xdsl/{serviceName}/modem/contentSharing`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/internet/access/modem/services/#getContentSharingStatus

**Status:** Stable production version  
**IAM actions:** `xdsl:apiovh:modem/contentSharing/get`

Returns whether content sharing is enabled or disabled on the modem of the access.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | xdsl.ServiceStatusEnum | successful operation |

```json
"disabled"
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/contentSharing" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/xdsl/{serviceName}/modem/contentSharing")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/xdsl/{serviceName}/modem/contentSharing");

print_r($result);
?>
```

## Enable or disable content sharing on the modem

`POST /1.0/xdsl/{serviceName}/modem/contentSharing`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/internet/access/modem/services/#updateContentSharingStatus

**Status:** Stable production version  
**IAM actions:** `xdsl:apiovh:modem/contentSharing/create`

Changes the status of content sharing on the modem of the access. Returns the task that performs the change.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Request body (required)

Type: `xdsl.modem.contentSharing.post`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `contentSharing` | xdsl.ServiceStatusEnum | yes | Status of the service — one of `disabled`, `enabled` |

```json
{
  "contentSharing": "disabled"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | xdsl.Task | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `doneDate` | string (date-time) | read-only | Date when the action was completed |
| `function` | string | read-only |  |
| `id` | integer | read-only |  |
| `isArchived` | boolean | read-only |  |
| `status` | xdsl.TaskStatusEnum | read-only | Status of a task. — one of `cancelled`, `doing`, `done`, `error`, `problem`, `todo` |
| `todoDate` | string (date-time) | read-only | Date when the action will start |
| `updateDate` | string (date-time) | read-only |  |

```json
{
  "doneDate": "2024-01-01T12:00:00Z",
  "function": "string",
  "id": 0,
  "isArchived": true,
  "status": "cancelled",
  "todoDate": "2024-01-01T12:00:00Z",
  "updateDate": "2024-01-01T12:00:00Z"
}
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/contentSharing" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: xdsl.modem.contentSharing.post
result = client.post("/xdsl/{serviceName}/modem/contentSharing",
	contentSharing = None, # Status of the service (type: xdsl.ServiceStatusEnum)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: xdsl.modem.contentSharing.post
$result = $ovh->post("/xdsl/{serviceName}/modem/contentSharing", array(
	contentSharing => null, // Status of the service (type: xdsl.ServiceStatusEnum)
));

print_r($result);
?>
```

## Get the FTP status of the modem

`GET /1.0/xdsl/{serviceName}/modem/ftp`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/internet/access/modem/services/#getFTPStatus

**Status:** Stable production version  
**IAM actions:** `xdsl:apiovh:modem/ftp/get`

Returns whether the FTP service is enabled or disabled on the modem of the access.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | xdsl.ServiceStatusEnum | successful operation |

```json
"disabled"
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/ftp" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/xdsl/{serviceName}/modem/ftp")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/xdsl/{serviceName}/modem/ftp");

print_r($result);
?>
```

## Enable or disable FTP on the modem

`POST /1.0/xdsl/{serviceName}/modem/ftp`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/internet/access/modem/services/#updateFTPStatus

**Status:** Stable production version  
**IAM actions:** `xdsl:apiovh:modem/ftp/create`

Changes the status of the FTP service on the modem of the access. Returns the task that performs the change.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Request body (required)

Type: `xdsl.modem.ftp.post`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `ftp` | xdsl.ServiceStatusEnum | yes | Status of the service — one of `disabled`, `enabled` |

```json
{
  "ftp": "disabled"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | xdsl.Task | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `doneDate` | string (date-time) | read-only | Date when the action was completed |
| `function` | string | read-only |  |
| `id` | integer | read-only |  |
| `isArchived` | boolean | read-only |  |
| `status` | xdsl.TaskStatusEnum | read-only | Status of a task. — one of `cancelled`, `doing`, `done`, `error`, `problem`, `todo` |
| `todoDate` | string (date-time) | read-only | Date when the action will start |
| `updateDate` | string (date-time) | read-only |  |

```json
{
  "doneDate": "2024-01-01T12:00:00Z",
  "function": "string",
  "id": 0,
  "isArchived": true,
  "status": "cancelled",
  "todoDate": "2024-01-01T12:00:00Z",
  "updateDate": "2024-01-01T12:00:00Z"
}
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/ftp" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: xdsl.modem.ftp.post
result = client.post("/xdsl/{serviceName}/modem/ftp",
	ftp = None, # Status of the service (type: xdsl.ServiceStatusEnum)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: xdsl.modem.ftp.post
$result = $ovh->post("/xdsl/{serviceName}/modem/ftp", array(
	ftp => null, // Status of the service (type: xdsl.ServiceStatusEnum)
));

print_r($result);
?>
```
